%define		realname PyICU
%define		module icu

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:		python-%{module}
Version:	1.9.5
Release:	%mkrel 3
Summary:	Python extension wrapping IBM's ICU C++ libraries
Group:		Development/Python
License:	MIT
URL:		http://pyicu.osafoundation.org/
Source0:	https://pypi.io/packages/source/P/%{realname}/%{realname}-%{version}.tar.gz

BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	libicu-devel

%description
PyICU is Python extension wrapping IBM's International Components
for Unicode C++ library (ICU). ICU is a mature, widely used set of
C/C++ and Java libraries providing Unicode and Globalization support
for software applications. ICU is widely portable and gives applications
the same results on all platforms and between C/C++ and Javasoftware.

%package -n python3-%{module}
Summary:	Python extension wrapping IBM's ICU C++ libraries
Group:		Development/Python

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-%{module}
PyICU is Python extension wrapping IBM's International Components
for Unicode C++ library (ICU). ICU is a mature, widely used set of
C/C++ and Java libraries providing Unicode and Globalization support
for software applications. ICU is widely portable and gives applications
the same results on all platforms and between C/C++ and Javasoftware.

%prep
%autosetup -p1 -n %{realname}-%{version}

cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%check
pushd %{py3dir}
%{__python3} setup.py test
popd

%{__python2} setup.py test

%install
pushd %{py3dir}
%py3_install
# Remove tests
rm -rf %{buildroot}%{python3_sitearch}/tests
popd

%py2_install
# Remove tests
rm -rf %{buildroot}%{python_sitearch}/tests

%files
%doc LICENSE README.md CHANGES CREDITS
%{python2_sitearch}/%{realname}-%{version}-py%{python2_version}.egg-info/
%{python2_sitearch}/*.py*
%{python2_sitearch}/_icu.so

%files -n python3-%{module}
%doc LICENSE README.md CHANGES CREDITS
%{python3_sitearch}/%{realname}-%{version}-py%{python3_version}.egg-info/
%{python3_sitearch}/__pycache__/*.pyc
%{python3_sitearch}/*.py
%{python3_sitearch}/_icu.*.so


%changelog
* Fri Mar 17 2017 akien <akien> 1.9.5-3.mga6
+ Revision: 1093383
- Running py3 tests before py2 apparently fixes them

* Wed Mar 15 2017 akien <akien> 1.9.5-2.mga6
+ Revision: 1092914
- Rebuild for icu-58.2

* Wed Mar 15 2017 akien <akien> 1.9.5-1.mga6
+ Revision: 1092913
- Version 1.9.5
- Disable tests for python 3, they do not run properly in our build env
  https://github.com/ovalhub/pyicu/issues/48

  + mrambo3501 <mrambo3501>
    - Rebuild for icu-58.2

* Sat May 14 2016 tv <tv> 1.6-10.mga6
+ Revision: 1015485
- rebuild for new icu

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.6-9.mga6
+ Revision: 917917
- rebuild for icu

* Wed Oct 07 2015 tv <tv> 1.6-8.mga6
+ Revision: 886703
- rebuild for python 3.5

* Sat Jul 25 2015 tv <tv> 1.6-7.mga6
+ Revision: 857397
- disable a failling test
- rebuild for new libicu

  + cjw <cjw>
    - rebuild for icu 55

* Wed Oct 15 2014 umeabot <umeabot> 1.6-5.mga5
+ Revision: 750194
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6-4.mga5
+ Revision: 728738
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6-3.mga5
+ Revision: 688085
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.6-2.mga5
+ Revision: 628711
- Rebuild for new Python

* Sun Apr 06 2014 wally <wally> 1.6-1.mga5
+ Revision: 612243
- new version 1.6
- add patch to update to upstream svn rev 220 to fix build with latest icu and other issues reported to upstream

* Tue Oct 22 2013 umeabot <umeabot> 1.5-6.mga4
+ Revision: 543561
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.5-5.mga4
+ Revision: 498722
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 27 2013 philippem <philippem> 1.5-4.mga4
+ Revision: 488013
- correct the : we don't want to provide private python extension libs

* Thu Sep 26 2013 fwang <fwang> 1.5-3.mga4
+ Revision: 486823
- rebuild for icu 52

* Tue Sep 24 2013 philippem <philippem> 1.5-2.mga4
+ Revision: 485610
- add Python 3

* Fri Jun 28 2013 tv <tv> 1.5-1.mga4
+ Revision: 448123
- imported package python-icu

